import re

class ReportJobError(Exception):
    def __init__(self, *args):
        super().__init__(self, *args)


def get_valid_filename(s):
    s = str(s).strip().lower().replace(' ', '_')
    return re.sub(r'(?u)[^-\w.]', '', s)